package com.fs.company.service;

import java.util.List;
import java.util.Map;

import com.fs.company.domain.CompanyTag;
import com.fs.company.dto.CompanyIdAndUserDTO;
import org.apache.ibatis.annotations.MapKey;

/**
 * companyService接口
 *
 * @author fs
 * @date 2025-04-02
 */
public interface ICompanyTagService
{
    /**
     * 查询company
     *
     * @param tagId companyID
     * @return company
     */
    public CompanyTag selectCompanyTagById(Long tagId);

    /**
     * 查询company列表
     *
     * @param companyTag company
     * @return company集合
     */
    public List<CompanyTag> selectCompanyTagList(CompanyTag companyTag);

    /**
     * 新增company
     *
     * @param companyTag company
     * @return 结果
     */
    public int insertCompanyTag(CompanyTag companyTag);

    /**
     * 修改company
     *
     * @param companyTag company
     * @return 结果
     */
    public int updateCompanyTag(CompanyTag companyTag);

    /**
     * 批量删除company
     *
     * @param tagIds 需要删除的companyID
     * @return 结果
     */
    public int deleteCompanyTagByIds(Long[] tagIds);

    /**
     * 删除company信息
     *
     * @param tagId companyID
     * @return 结果
     */
    public int deleteCompanyTagById(Long tagId);

    /**
     * 删除标签
     * @param tagIds 标签ID
     */
    void deleteCompanyTagByTagIds(List<Long> tagIds);

    /**
     * 查询标签列表
     * @param params 条件
     * @return list
     */
    List<CompanyTag> selectCompanyTagListByMap(Map<String, Object> params);

    Map<Long,CompanyTag> queryAllTagMap();

    String findUserTagByUserId(Long key);
}
